version: "3.9"
services:
  cadvisor:
    image: gcr.io/cadvisor/cadvisor:{{ cloudstack.plugins[plugin].version }}
    container_name: cadvisor
    command:
      - '--allow_dynamic_housekeeping=true'
      - '--housekeeping_interval=15s'
      - '--docker_only=true'
    volumes:
      - /:/rootfs:ro
      - /var/run:/var/run:rw
      - /sys:/sys:ro
      - /var/lib/docker/:/var/lib/docker:ro
    networks:
      - cadvisor
    restart: always

networks:
  cadvisor:
    name: cadvisor